heatMap <- function(x, y, z, op=NULL) {

  op <- default.list(op, c("ncolors", "xlab", "ylab"), 
         list(20, "", ""))

  hc   <- heat.colors(op$ncolors)
  hc   <- hc[length(hc):1]
  z1   <- min(z, na.rm=TRUE)
  z2   <- max(z, na.rm=TRUE)
  zlim <- c(z1, z2)


  fit <- Krig(cbind(x, y), z, m=2, na.rm=TRUE)
  surface(fit, type ="I", col=hc, ylab=op$ylab, 
        las=1, xlab=op$xlab, extrap=F, axes=FALSE,
        zlim=zlim)
  fit

}